package cn.reghao.tnb.content.app.data.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.jutil.jdk.db.Page;
import cn.reghao.tnb.content.app.data.model.po.ImageFile;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2021-12-08 14:41:35
 */
@Mapper
public interface ImageFileMapper extends BaseMapper<ImageFile> {
    List<Integer> countByAlbumId(long albumId);
    ImageFile findByUrl(String url);
    List<String> findImageFileIdsByPage(@Param("page") Page page, @Param("albumId") long albumId);
    List<ImageFile> findByImageFileIds(List<String> list);
}
